[Regression wmf.18] Cannot add any image with VE in Firefox, VE crashes upon clicking on "Insert"
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

  1. Open VE and go to Media Settings dialog in Firefox.
  2. Select an image and click on "Insert"

Media Settings dialog gets stuck causing VE to crash .
Error in the console:

TypeError: node is null

Ryasmeen created this task.Sep 14 2017, 5:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2017, 5:49 PM
Deskana triaged this task as High priority.Sep 15 2017, 9:48 AM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

This is not in production yet, fortunately.

Noticed the same error in couple of other scenarios in Firefox, they all might be coming from the same source, so listing here for now:

  1. When inserting code block
  2. While inserting Gallery
  3. After clicking on a slug
  4. Also the link inspector looks quite broken, opening up in random positions and throwing the same error.

This is not in production yet, fortunately.

Now it is :)

DLynch added a subscriber: DLynch.Sep 18 2017, 4:40 PM

I do see this in production, but not locally or in beta. Maybe we've fixed it accidentally somewhere else.

@Ryasmeen I can't reproduce this in production in Firefox.

  1. Go to a random article, e.g. https://en.wikipedia.org/wiki/Bo_people_(China)
  2. Click "Insert", then "Media".
  3. Pick a random image.
  4. Click "Use this image".
  5. Click "Insert".

The image is inserted just fine.

Oh, also, in production that node is null error happens any time you hit enter, not just linked to the image-add.

Hmm, does not work for me on that page, getting same error. Mine is Firefox 55.0.3.

Deskana raised the priority of this task from High to Unbreak Now!.Sep 18 2017, 5:32 PM

Well, two other people can reproduce it, so marking as highest.

Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptSep 18 2017, 5:32 PM

@Ryasmeen: Could you check and let me know whether this happens to you on the beta cluster currently? I'm trying to work out whether I'm just having problems reproducing it, or if it's fixed, and Dan's trouble reproducing it in production makes everything ambiguous there.

I can reproduce it in both beta and production, and I figured out why. If I press enter at any point after VisualEditor loading and trying to insert the image, then I get a node is null error in my browser console, and when I try to insert an image I encounter this issue. If I never press enter, then it will insert the image just fine.

DLynch added a subscriber: dchan.Sep 18 2017, 9:59 PM

Okay, bisect indicates that both the node is null error and the dialog issue were introduced by 37d1512, @dchan's TransactionProcessor patch.

dchan added a comment.Sep 19 2017, 1:46 AM

I think this is essentially the same as T175852 (which https://gerrit.wikimedia.org/r/378378/ fixes)

Change 378378 had a related patch set uploaded (by Divec; owner: Divec):
[VisualEditor/VisualEditor@master] Setup slugs in TreeModifier

https://gerrit.wikimedia.org/r/378378

Change 378378 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Setup slugs in TreeModifier

https://gerrit.wikimedia.org/r/378378

Change 379328 had a related patch set uploaded (by Jforrester; owner: Divec):
[VisualEditor/VisualEditor@REL1_30] Setup slugs in TreeModifier

https://gerrit.wikimedia.org/r/379328

Change 379328 merged by jenkins-bot:
[VisualEditor/VisualEditor@REL1_30] Setup slugs in TreeModifier

https://gerrit.wikimedia.org/r/379328

Change 379557 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (bd5da1725)

https://gerrit.wikimedia.org/r/379557

Jdforrester-WMF closed this task as Resolved.Mon, Sep 25, 3:10 PM
Jdforrester-WMF assigned this task to dchan.
Jdforrester-WMF set the point value for this task to 8.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMon, Sep 25, 3:10 PM

Change 379557 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (0ec5fe55f)

https://gerrit.wikimedia.org/r/379557

Ryasmeen edited projects, added Verified; removed Patch-For-Review.Mon, Sep 25, 6:00 PM